Returns the font style

- « ImagickDraw::getFontStretch

- ImagickDraw::getFontWeight »

- PHP Manual
- ImagickDraw
- Returns the font style

# ImagickDraw::getFontStyle

(PECL imagick 2, PECL imagick 3)

ImagickDraw::getFontStyle — Returns the font style

### Description

public ImagickDraw::getFontStyle(): int
Warning

This function is currently not documented; only its argument list is available.

Returns the font style used when annotating with text.

### Return Values

Returns a STYLE constant (`imagick::STYLE_*`) associated with the ImagickDraw object or 0 if no style is set.